#include "partition.h"
#include<bits/stdc++.h>
using namespace std;
const int MAXN = 1e5 + 5;
bool chetnost[MAXN];
vector<int> solve(vector<int> A) {
    vector<int> otg;
    for(int i = 0; i < A.size(); i++)
    {
        if(!chetnost[i])
        {
            otg.push_back(A[i]);
            chetnost[i] = true;
        }
        else
        {
            chetnost[i] = false;
        }
    }
    return otg;
}
